/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.admin.server.core.jmx.tester;

import javax.management.*;

public class Rule1 implements Rule1MBean, DynamicMBean
{
    public void foo(Object o)
    {
        System.out.println("foo(Object) called");
        System.out.println(o);
    }

    public void foo(String s)
    {
        System.out.println("foo(String) called");
        System.out.println(s);
    }
    
    public void foo()
    {
        System.out.println("foo() called");
    }
    
    public Object getAttribute(java.lang.String attribute)
    {
        return null;
    }

    public AttributeList getAttributes(java.lang.String[] attributes)
    {
        return null;
    }
    public MBeanInfo getMBeanInfo()
    {
        return null;
    }
    public Object invoke(java.lang.String actionName, java.lang.Object[] params,
               java.lang.String[] signature)
    {
        return null;
    }
    public void setAttribute(Attribute attribute)
    {
    }
    public AttributeList setAttributes(AttributeList attributes) 
    {
        return null;
    }

}